//------------------------------------------------------------------
// Strongs Dictionary
//------------------------------------------------------------------
//
// JavaScript code unique to the Strong's Dictionary.
//
// Tony Garland
// mailto:contact@SpiritAndTruth.org

//------------------------------------------------------------------
// The Undefined object.
//------------------------------------------------------------------
var undefined;


XALONE = function( anchor ) 
    { 

    // Assume anchor is strong's number.
    anchor = anchor.toLowerCase()
    prefix = anchor.charAt( 0 )

    strongs = ''
    begin = anchor.search( /\d+/ )
    if ( -1 != begin )
        {
        front = anchor.substring( begin, anchor.length )
        end = front.search( /\D+/ )
        if ( -1 == end )
            {
            end = front.length
            }
        strongs = front.substring( 0, end )
        }

    if ( prefix != 'g' && prefix != 'h' )
        {
        prefix = 'h'
        }

    fileNum = strongs
    remainder = fileNum % 100
    fileNum -= remainder
    fileNum = fileNum / 100

    zero = ''
    if  (fileNum < 10 )
        {
        zero = '0'
        }
    url = prefix + zero + fileNum + '.htm#' + prefix + strongs

    //alert( url )
    pane = parent.x;
    if ( pane == undefined )
        {
        pane = window
        }
    pane.location.href = url
    return true;

    }
